Package: syslog-ng
Version: 2.0.9-4.1
Severity: wishlist
Tags: patch
User: [email protected]
Usertags: initd-status-support
Here is a patch to support the "status" action in the init.d script.
--- syslog-ng-2.0.9/debian/syslog-ng.init
+++ syslog-ng-2.0.9/debian/syslog-ng.init
@@ -109,8 +109,11 @@
syslogng_stop
syslogng_start || exit 1
;;
+ status)
+ status_of_proc "$SYSLOGNG" "$NAME"; exit $?
+ ;;
*)
- echo "Usage: /etc/init.d/$NAME {start|stop|restart|reload|force-reload}"
>&2
+ echo "Usage: /etc/init.d/$NAME
{start|stop|restart|reload|force-reload|status}" >&2
exit 1
;;
esac
--- syslog-ng-2.0.9/debian/control
+++ syslog-ng-2.0.9/debian/control
@@ -7,7 +7,7 @@
Package: syslog-ng
Architecture: any
-Depends: ${shlibs:Depends}, lsb-base (>= 3.0-6)
+Depends: ${shlibs:Depends}, lsb-base (>= 3.2-13)
Recommends: logrotate
Provides: system-log-daemon, linux-kernel-log-daemon
Conflicts: system-log-daemon, linux-kernel-log-daemon